<?
/*
PHPSlide
Author: Robert Freund (c)
*/
include( 'lib.php' );
include( 'layout.php' );

$a_slides = get_slides();
foreach( $a_slides as $globaltitle => $content )
	;

$totalslides = sizeof( $content );
ksort( $content );
reset( $content );
$lastslide = $nextslide - 1;
if( !$nextslide || $nextslide < 2 )
{
	$thisslide = 1;
	$nextslide = 2;
}
elseif( $nextslide > $totalslides )
{
	$thisslide = $totalslides;
	$nextslide += 1; 
	$lastslide = $thisslide - 1;
}
else
{
	$thisslide = $nextslide;
	$nextslide += 1;
}

$outlineindex[ 0 ] = 1;

for( $i = 1, $j = 1; (list ($id, $inhalt) = each ($content)) && $i<=($totalslides); $i++)
{
	$alltitles[ $i ] = $inhalt[ "title" ];
	
	if( $i > 1 && $alltitles[ $i ] != $alltitles[ $i-1 ] )
		$outlineindex[ $j++ ] = $i;
	
	if( $i == $thisslide )
	{
		$slidenr = $id; 
		$title = $inhalt[ "title" ];
		$text =  $inhalt[ "text" ];
	} elseif( $i == ($thisslide - 1) )
		$lasttitle = $inhalt[ "title" ];
	elseif( $i == ($thisslide + 1) )
		$nexttitle = $inhalt[ "title" ];
}

$alltitles = array_unique( $alltitles );
if($nexttitle)
	$nexttitle = ltrim($nexttitle,"&nbsp;");
if($lasttitle)
	$lasttitle = ltrim($lasttitle,"&nbsp;");
?>
<html>
<head>
<title><? echo $title; ?></title>
<Link rel="icon" href="../favicon.ico" type="image/ico">
<style type="text/css">
<!--
body {	SCROLLBAR-BASE-COLOR: black; SCROLLBAR-ARROW-COLOR: #006699;
			font-family:  verdana, arial , sans-serif;
			color: black;
			font-size: 15px
		}
td {	font-family:  verdana, arial , sans-serif;
		color: black;
		font-size: 20px;
		line-height:23pt
	}
.toptitle {	color: <? echo $toptitlecolor ?>; font-size: 19px }
.outline { color: <? echo $textlinkcolor ?>; font-size: 15px }
.outlineactive { color: <? echo $textlinkcolor ?>; font-size: 17px; font-weight: 600 }
.toplink { color: <? echo $toplinkcolor ?>; font-size: 17px }
.large { font-size: 23px }
.small { font-size: 17px }
.tiny { font-size: 11px; line-height: normal }

A:link 		{ text-decoration: none; color: <? echo $textlinkcolor ?>}
A:active 	{ text-decoration: none; color: <? echo $textlinkcolor ?>}
A:visited	{ text-decoration: none; color: <? echo $textlinkcolor ?>}
A:hover 		{ text-decoration: none; color: <? echo $textlinkcolor ?>}
//-->
</style>
</head>

<body bgcolor="white" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" 
<? if( $thisslide < $totalslides ) echo "onload=\"document.weiter.submit.focus();\"" ?> >

<table border="0" width="100%" height="100%" cellpadding="0" cellspacing="0" bgcolor="white">
<tr valign="top">
<td colspan="1">
<table border="0" width="100%" cellpadding="1" cellspacing="0" height="35">
<tr bgcolor="<?echo $topbgcolor ?>" nowrap>
<td width="20%">
<? if( $lastslide > 0 )
{
?>
<nobr>&nbsp;<a href="<? echo $PHP_SELF."?action=$action&nextslide=$lastslide&outline=$outline\"><font class=\"toplink\">$lasttitle&nbsp;<b><<</b></font></a>";?></nobr>
<?
} else
echo "&nbsp;";
?>
</td>

<td width="60%" align="center">
<font class="toptitle"><? echo $title ?></font>
</td>

<td width="20%" align="right">
<? if( $thisslide < $totalslides )
{
?>
<nobr><a href="<? echo $PHP_SELF."?action=$action&nextslide=$nextslide&outline=$outline\"><font class=\"toplink\"><b>>></b>&nbsp;$nexttitle</font></a>";?>&nbsp;</nobr>
<?
} else
echo "&nbsp;";
?>
</td>
</tr>
</table>
<img src="images/space.gif" width="20" height="40" border="0">

<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr>
<td valign="top">
<?
//outline
if( $outline != "no" )
{
	$j = 1;
	$tmp = array_shift( $alltitles );
	foreach ($alltitles as $value)
	if( $value == $title )
	{
		echo "<nobr><font class=\"outlineactive\">";
		//echo "<a href=\"$PHP_SELF?action=$action&outline=$outline&nextslide=".$outlineindex[$j++]."\">";
		echo $value;
		//echo "</a>";
		echo "</font></nobr><br>\n";
	}
	else
	{
		echo "<nobr>&nbsp;<font class=\"outline\">";
		//echo "<a href=\"$PHP_SELF?action=$action&outline=$outline&nextslide=".$outlineindex[$j++]."\">";
		echo $value;
		//echo "</a>";
		echo "</font></nobr><br>\n";
	}
	echo '<img src="images/space.gif" height="1" width="240" border="0"><br />';
	echo '<a class="small" href="'.$PHP_SELF.'?nextslide='.$thisslide.'&action='.$action.'&outline=no"><b>&lt;&lt;</b></a>';
} else //if no outline
{
	echo '<a class="small" href="'.$PHP_SELF.'?nextslide='.$thisslide.'&action='.$action.'&outline=yes"><b>&gt;&gt;</b></a>';
	echo '<img src="images/space.gif" height="1" width="30" border="0">';
}
?>
</td>
<td>
<img src="images/space.gif" width="20" height="20" border="0">
</td>
<td align="center" valign="top">
<table border="0" cellpadding="0" cellspacing="0">
<tr valign="top">
<td align="left">

<!-- slide content starts -->
<? echo $text ?>
<!-- slide content ends -->


</td>
<td>
<img src="images/space.gif" width="25" height="25">
</td>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
<tr height="10%">
<td valign="bottom" colspan="1">
<table border=0 cellpadding="0" cellspacing="0" width="100%" height="20">
<tr  bgcolor="<? echo $bottombgcolor ?>">
<td align="left" width="10%">
<?/* if( $lastslide > 0 )
{

<form name="zurueck" action="<? echo $PHP_SELF ?>" method="post">
<input type="hidden" name="action" value="<? echo $action ?>">
<input type="hidden" name="nextslide" value="<? echo $lastslide ?>">
<input type="submit" value="<<" name="submit">
</form>

} else
*/
echo "&nbsp;";
?>
</td>
<td width="75%" align="center">
<font class="toptitle"><? echo $globaltitle ?></font>
</td>
<td align="right" width="15%">
<? if( $thisslide < $totalslides )
{
?>
<form name="weiter" action="<? echo $PHP_SELF ?>" method="post">
<input type="hidden" name="action" value="<? echo $action ?>">
<input type="hidden" name="outline" value="<? echo $outline ?>">
<input class="tiny" type="text" size="3" name="nextslide" value="<? echo $nextslide ?>">
<input class="tiny" type="submit" value=">>" name="submit">&nbsp;

</form>
<?
} else
	echo "&nbsp;";
?>
</td>
</tr>
</table>
</td>
</tr>
</table>

</body>
</html>

